# Generated by Django 4.1.13 on 2024-08-06 09:38

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("vulnerabilities", "0058_alter_vulnerabilityreference_options_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="vulnerabilityseverity",
            name="published_at",
            field=models.DateTimeField(
                blank=True,
                help_text="UTC Date of publication of the vulnerability severity",
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="vulnerabilityseverity",
            name="scoring_system",
            field=models.CharField(
                choices=[
                    ("cvssv2", "CVSSv2 Base Score"),
                    ("cvssv3", "CVSSv3 Base Score"),
                    ("cvssv3.1", "CVSSv3.1 Base Score"),
                    ("rhbs", "RedHat Bugzilla severity"),
                    ("rhas", "RedHat Aggregate severity"),
                    ("archlinux", "Archlinux Vulnerability Group Severity"),
                    ("cvssv3.1_qr", "CVSSv3.1 Qualitative Severity Rating"),
                    ("generic_textual", "Generic textual severity rating"),
                    ("apache_httpd", "Apache Httpd Severity"),
                    ("apache_tomcat", "Apache Tomcat Severity"),
                    ("epss", "Exploit Prediction Scoring System"),
                ],
                help_text="Identifier for the scoring system used. Available choices are: cvssv2: CVSSv2 Base Score,\ncvssv3: CVSSv3 Base Score,\ncvssv3.1: CVSSv3.1 Base Score,\nrhbs: RedHat Bugzilla severity,\nrhas: RedHat Aggregate severity,\narchlinux: Archlinux Vulnerability Group Severity,\ncvssv3.1_qr: CVSSv3.1 Qualitative Severity Rating,\ngeneric_textual: Generic textual severity rating,\napache_httpd: Apache Httpd Severity,\napache_tomcat: Apache Tomcat Severity,\nepss: Exploit Prediction Scoring System ",
                max_length=50,
            ),
        ),
    ]
